#pragma once

#include <ArmarXCore/observers/Observer.h>

namespace armarx
{

    class RobotUnitObserver : public Observer
    {
    public:
        const std::string additionalChannel = "Additional";
        const std::string timingChannel = "TimingInformation";
        const std::string controlDevicesChannel = "ControlDevices";
        const std::string sensorDevicesChannel = "SensorDevices";
        RobotUnitObserver();

        void offerOrUpdateDataFieldsFlatCopy(const std::string& channelName, StringVariantBaseMap const& valueMap);
        // Observer interface
    protected:
        void onInitObserver() override;
        void onConnectObserver() override;

        friend class RobotUnit;

        // ManagedIceObject interface
    protected:
        std::string getDefaultName() const override
        {
            return "RobotUnitObserver";
        }
    };

} // namespace armarx

